package cn.yw.aqmjc.service;


import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.yw.aqmjc.dao.GdwdaqmxxDao;

@Service("gdwdaqmxxService")
public class GdwdaqmxxService extends BaseService {
	
	private static Log log = LogFactory.getLog(GdwdaqmxxService.class);
	
	@Autowired
	private GdwdaqmxxDao gdwdaqmxxDao;
	
	/**
	 * 保存记录
	 */
	
	public void insert_Gdwdaqmxx(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		gdwdaqmxxDao.insert_Gdwdaqmxx(map);
	}
	

	
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Gdwdaqmxx(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return gdwdaqmxxDao.update_Gdwdaqmxx(map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Gdwdaqmxx(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return gdwdaqmxxDao.delete_Gdwdaqmxx(map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Gdwdaqmxx(Map map) throws SQLException{
		return gdwdaqmxxDao.batch_delete_Gdwdaqmxx(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Gdwdaqmxx(Map map) throws SQLException{
		return gdwdaqmxxDao.count_Gdwdaqmxx(map);
	}
	
	
	/**
	 * 查询列表记录SELECT
	 */
	
	public List<Map> query_Gdwdaqmxx(Map map) throws SQLException{
		return gdwdaqmxxDao.query_Gdwdaqmxx(map);
	}
	
	
	/**
	 * 查询一条
	 */
	 
	
	public Map get_Gdwdaqmxx(Map map) throws SQLException{
		return gdwdaqmxxDao.get_Gdwdaqmxx(map);
	}
	
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportGdwdaqmxx(Map map) throws SQLException{
		return this.listGdwdaqmxxByPage(map);
	}
	*/
	
	/**
	 * Gdwdaqmxx 分页
	 */
	
	public Map listGdwdaqmxxByPage(Map map) throws SQLException {
		List<Map> list = gdwdaqmxxDao.query_Gdwdaqmxx(map);
		Integer totalCount = gdwdaqmxxDao.count_Gdwdaqmxx(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
}
